org.restlet.util

## Class Triple<T,U,V>

- java.lang.Object
- - org.restlet.util.Triple<T,U,V>

Type Parameters:
  `T` - The first object's type.
  `U` - The second object's type.
  `V` - The third object's type.

    public class Triple<T,U,V>
    extends java.lang.Object

Relationship between three typed objects.

Author:
  Jerome Louvel

### Constructor Summary

Constructors
Constructor and Description
`Triple(T first, U second, V third)` Constructor.

### Method Summary

Methods
`boolean` `equals(java.lang.Object other)`
`T` `getFirst()` Returns the first object.
`U` `getSecond()` Returns the second object.
`V` `getThird()` Returns the third object.
`int` `hashCode()`
`void` `setFirst(T first)` Sets the first object.
`void` `setSecond(U second)` Sets the second object.
`void` `setThird(V third)` Sets the third object.
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Triple

    public Triple(T first,
          U second,
          V third)

Constructor.

Parameters:
  `first` - The first object.
  `second` - The second object.
  `third` - The third object.

### Method Detail

#### equals

    public boolean equals(java.lang.Object other)

Overrides:
  `equals` in class `java.lang.Object`

#### getFirst

    public T getFirst()

Returns the first object.

Returns:
  The first object.

#### getSecond

    public U getSecond()

Returns the second object.

Returns:
  The second object.

#### getThird

    public V getThird()

Returns the third object.

Returns:
  The third object.

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### setFirst

    public void setFirst(T first)

Sets the first object.

Parameters:
  `first` - The first object.

#### setSecond

    public void setSecond(U second)

Sets the second object.

Parameters:
  `second` - The second object.

#### setThird

    public void setThird(V third)

Sets the third object.

Parameters:
  `third` - The third object.

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`